- Query

# Query Class

The Query class generates a filtered list of documents based on a query using the given Index. More...

Header: | #include <Query>
Instantiated By: | Query
Inherits: |

- List of all members, including inherited members

## Public Functions

| Query(QObject * parent = 0)
QStringList | getDocuments()
Index * | getIndex()
QVariant | getQuery()
QList<QVariant> | getResults()
void | resetModel()
void | setIndex(Index * index)
void | setQuery(QVariant query)

## Detailed Description

The Query class generates a filtered list of documents based on a query using the given Index.

Query can be used as a QAbstractListModel, delegates will then have access to docId and contents analogous to the properties of Document.

## Member Function Documentation

### Query::Query(QObject * parent = 0)

Instantiate a new Query with an optional parent, usually by declaring it as a QML item.

See also setQuery().

### QStringList Query::getDocuments()

FIXME

### Index * Query::getIndex()

FIXME

### QVariant Query::getQuery()

FIXME

### QList<QVariant> Query::getResults()

FIXME

### void Query::resetModel()

Query::resetModel

Resets the model of the Query

### void Query::setIndex(Index * index)

FIXME index

### void Query::setQuery(QVariant query)

FIXME query